Bug 608509 (python-subvertpy) - Review Request: python-subvertpy - Python bindings for Subversion
Summary: Review Request: python-subvertpy - Python bindings for Subversion
Keywords:
Status: CLOSED ERRATA
Alias: python-subvertpy
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-anyvc
TreeView+ depends on / blocked
 
Reported: 2010-06-27 22:24 UTC by Fabian Affolter
Modified: 2014-10-03 12:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-26 07:08:15 UTC
Type: ---
j: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2010-06-27 22:24:59 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/subvertpy.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/subvertpy-0.7.2-1.fc13.src.rpm

Project URL: http://samba.org/~jelmer/subvertpy/

Description:
Alternative Python bindings for Subversion, split out from bzr-svn.
The goal is to have complete, portable and "Pythonic" Python bindings.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2276232

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint subvertpy-0.7.2-1.fc13.src.rpm 
subvertpy.src: W: spelling-error %description -l en_US bzr -> br, bar, brr
subvertpy.src: W: spelling-error %description -l en_US svn -> avn, sen, sin
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop011 x86_64]$ rpmlint subvertpy*
subvertpy.x86_64: W: spelling-error %description -l en_US bzr -> br, bar, brr
subvertpy.x86_64: W: spelling-error %description -l en_US svn -> avn, sen, sin
subvertpy.x86_64: W: no-manual-page-for-binary subvertpy-fast-export
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 1 Chen Lei 2010-06-28 03:10:10 UTC
Some suggustions:

1.name subvertpy -> python-subvertpy
I'll better to use python before module namespace, those in some special case py can be omitted.

2.Group:          Development/Languages -> Group:          Development/Libraries
See http://en.opensuse.org/Packaging/SUSE_Package_Conventions/RPM_Groups

Comment 2 Chen Lei 2010-06-28 03:15:37 UTC
s/those/though

Comment 3 Fabian Affolter 2010-06-28 15:02:33 UTC
(In reply to comment #1)
> 1.name subvertpy -> python-subvertpy
> I'll better to use python before module namespace, those in some special case
> py can be omitted.

The naming guidelines says if there is "py" in the name, the name is fine for a python module.  There is no statement about the position of "py" and common practice (numpy, scapy, etc.) to place "py" at the end of the name. 
 
> 2.Group:          Development/Languages -> Group:         
> Development/Libraries
> See http://en.opensuse.org/Packaging/SUSE_Package_Conventions/RPM_Groups    

I will change that. Thanks.

Comment 4 Chen Lei 2010-06-28 16:44:11 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > 1.name subvertpy -> python-subvertpy
> > I'll better to use python before module namespace, those in some special case
> > py can be omitted.
> The naming guidelines says if there is "py" in the name, the name is fine for a
> python module.  There is no statement about the position of "py" and common
> practice (numpy, scapy, etc.) to place "py" at the end of the name. 

Yep, the naming convention is inconsistency, no guideline object this. But more *py packages add python before module names.

See http://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=python-*py
See http://koji.fedoraproject.org/koji/search?match=glob&type=package&terms=python-*python

When considering python3 naming guideline, It'll be better to add python before $NAME to keep consistency with python3.

From naming guideline:
This makes a package name format of python-$NAME. When in doubt, use the name of the module that you type to import it in a script. 


I think if py* packages don't have py in their namespace, then we can omit python( e.g. pygtk2), in other case, adding python will be more appropriate.

Comment 5 Fabian Affolter 2010-11-18 11:17:12 UTC
I will rename the package.

Comment 6 Fabian Affolter 2010-11-20 13:05:35 UTC
* Sat Nov 20 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7.5-1
- Changed the filtering stuff to get rid of private-shared-object-provides
- Added the tests (at the moment all failed)
- Renamed the package

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy-0.7.5-1.fc14.src.rpm

Comment 7 Jason Tibbitts 2010-11-25 15:28:36 UTC
FYI, the tests run fine with this:

%check
cd build/*/subvertpy/tests
PYTHONPATH=.. nosetests test*.py

Comment 8 Fabian Affolter 2010-11-25 22:25:19 UTC
(In reply to comment #7)
> FYI, the tests run fine with this:

Thanks

* Thu Nov 25 2010 Fabian Affolter <fabian@bernewireless.net> - 0.7.5-2
- Check section fixed

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy-0.7.5-2.fc14.src.rpm

Comment 9 Jason Tibbitts 2010-12-01 23:52:25 UTC
While reviewing this I noticed that you've submitted around 138 packages (158 minus about 20 duplicates and reviews that were closed for various reasons) while reviewing only 38.  Since I have no package submissions pending, would you consider doing the courtesy of reviewing someone else's package?  If you do, I'll look at some of your other pending submissions.

Builds fine; rpmlint complains only about the lack of a manpage for subvertpy-fast-export.

I'm afraid I don't understand why the tests directory is part of the final package.  What purpose does it serve?

* source files match upstream.  sha256sum:
  c43782ef281f347a1c4fe02e5cab4dd361fe228a6c3186f2d76ec01daca9bb5e
   subvertpy-0.7.5.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   python-subvertpy = 0.7.5-2.fc15
   python-subvertpy(x86-64) = 0.7.5-2.fc15
  =
   libapr-1.so.0()(64bit)  
   libpython2.7.so.1.0()(64bit)  
   libsvn_client-1.so.0()(64bit)  
   libsvn_delta-1.so.0()(64bit)  
   libsvn_fs-1.so.0()(64bit)  
   libsvn_ra-1.so.0()(64bit)  
   libsvn_repos-1.so.0()(64bit)  
   libsvn_subr-1.so.0()(64bit)  
   libsvn_wc-1.so.0()(64bit)  
   python(abi) = 2.7
   /usr/bin/python  

* %check is present and all tests pass:
  Ran 129 tests in 25.772s
  OK
* no bundled libraries.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no static libraries.
* no libtool .la files.

Comment 10 Fabian Affolter 2011-03-28 19:15:48 UTC
(In reply to comment #9)
> While reviewing this I noticed that you've submitted around 138 packages (158
> minus about 20 duplicates and reviews that were closed for various reasons)
> while reviewing only 38.  Since I have no package submissions pending, would
> you consider doing the courtesy of reviewing someone else's package?  If you
> do, I'll look at some of your other pending submissions.

I started to adjust the mismatch of reviews and review request but this will take a while.
 
> I'm afraid I don't understand why the tests directory is part of the final
> package.  What purpose does it serve?

Well, the tests are not needed in the final package.

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/subvertpy.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy-0.8.0-1.fc14.src.rpm

Comment 11 Fabian Affolter 2011-11-26 12:24:27 UTC
* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.9-1
- Updated to new upstream release 0.8.9


Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy-0.8.9-1.fc16.src.rpm

Comment 12 Fabian Affolter 2012-03-04 17:32:17 UTC
* Sun Mar 04 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.10-1
- Updated to new upstream release 0.8.10

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-subvertpy-0.8.10-1.fc16.src.rpm

Comment 13 Matthias Runge 2012-04-10 09:37:32 UTC
Jason, any progress here? May I jump in?

Comment 14 Jason Tibbitts 2012-04-10 14:15:59 UTC
Hmm, honestly I didn't notice the updates that came nearly five months after my initial review.  Let me take a look.

Comment 15 Jason Tibbitts 2012-04-18 00:20:07 UTC
Unfortunately this fails to build for me in either F17 or rawhide.  Here's a scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4000628

Not sure what's causing it.  The test suite fails like so.

+ nosetests test_client.py test_core.py test_delta.py test_marshall.py test_properties.py test_ra.py test_repos.py test_server.py test_wc.py
.........................................................................................................................................E.....F.E..svn: E235000: In file 'subversion/libsvn_wc/adm_ops.c' line 189: assertion failed (copied_checksum != NULL)
/var/tmp/rpm-tmp.7pNudM: line 32: 15949 Aborted                 PYTHONPATH=.. nosetests test*.py

Otherwise I'd say this package is fine, and it does build OK in F16.  The only rpmlint complaints are the incorrect-fsf-address stuff, which you should report upstream if you haven't already.  Since they're updating regularly they should get this fixed.  And I'm guessing you're targeting EL5 with this; otherwise you can remove a whole lot of excess cruft from the package.

The build failure on F17+ will need fixing, though after all this time I don't see any reason to hold up approval here since the form of the package is fine.

APPROVED

Comment 16 Fabian Affolter 2012-04-30 20:56:34 UTC
New Package SCM Request
=======================
Package Name: python-subvertpy
Short Description: Python bindings for Subversion
Owners: fab
Branches: f16 f17 el6
InitialCC:

Comment 17 Gwyn Ciesla 2012-05-01 12:19:46 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2012-05-11 09:25:11 UTC
python-subvertpy-0.8.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-subvertpy-0.8.10-1.fc16

Comment 19 Fedora Update System 2012-05-11 09:25:24 UTC
python-subvertpy-0.8.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-subvertpy-0.8.10-1.el6

Comment 20 Fedora Update System 2012-05-11 09:25:34 UTC
python-subvertpy-0.8.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-subvertpy-0.8.10-1.fc17

Comment 21 Fedora Update System 2012-05-11 21:51:55 UTC
Package python-subvertpy-0.8.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-subvertpy-0.8.10-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7714/python-subvertpy-0.8.10-1.fc17
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2012-05-26 07:08:15 UTC
python-subvertpy-0.8.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2012-05-27 01:52:45 UTC
python-subvertpy-0.8.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2012-05-31 01:09:24 UTC
python-subvertpy-0.8.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fabian Affolter 2014-10-03 10:56:15 UTC
Package Change Request
======================
Package Name: python-subvertpy
New Branches: epel7
Owners: fab
InitialCC:

Comment 26 Gwyn Ciesla 2014-10-03 12:00:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.